org.apache.olingo.odata2.api.client.batch

## Class BatchChangeSetPart

- java.lang.Object
- - org.apache.olingo.odata2.api.client.batch.BatchChangeSetPart

-     public abstract class BatchChangeSetPart
      extends Object

  A BatchChangeSetPart

  BatchChangeSetPart represents a change request within a Change Set

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BatchChangeSetPart.BatchChangeSetPartBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchChangeSetPart()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BatchChangeSetPart.BatchChangeSetPartBuilder` | `body(byte[] body)`
    `static BatchChangeSetPart.BatchChangeSetPartBuilder` | `body(String body)`
    `static BatchChangeSetPart.BatchChangeSetPartBuilder` | `contentId(String contentId)`
    `abstract Object` | `getBody()`
    `abstract byte[]` | `getBodyAsBytes()`
    `abstract String` | `getContentId()`
    `abstract Map<String,String>` | `getHeaders()`
    `abstract String` | `getMethod()`
    `abstract String` | `getUri()`
    `static BatchChangeSetPart.BatchChangeSetPartBuilder` | `headers(Map<String,String> headers)`
    `static BatchChangeSetPart.BatchChangeSetPartBuilder` | `method(String method)`
    `static BatchChangeSetPart.BatchChangeSetPartBuilder` | `newBuilder()`
    `static BatchChangeSetPart.BatchChangeSetPartBuilder` | `uri(String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchChangeSetPart

          public BatchChangeSetPart()

  - ### Method Detail

    - #### getHeaders

          public abstract Map<String,String> getHeaders()

    - #### getBody

          public abstract Object getBody()

    - #### getBodyAsBytes

          public abstract byte[] getBodyAsBytes()

    - #### getUri

          public abstract String getUri()

    - #### getMethod

          public abstract String getMethod()

    - #### getContentId

          public abstract String getContentId()

    - #### headers

          public static BatchChangeSetPart.BatchChangeSetPartBuilder headers(Map<String,String> headers)

      Parameters:
        `headers` -
      Returns:
        a new builder object

    - #### body

          public static BatchChangeSetPart.BatchChangeSetPartBuilder body(String body)

      Parameters:
        `body` - a change request body
      Returns:
        a new builder object

    - #### body

          public static BatchChangeSetPart.BatchChangeSetPartBuilder body(byte[] body)

      Parameters:
        `body` - a change request body
      Returns:
        a new builder object

    - #### uri

          public static BatchChangeSetPart.BatchChangeSetPartBuilder uri(String uri)

      Parameters:
        `uri` - should not be null
      Returns:
        a new builder object

    - #### method

          public static BatchChangeSetPart.BatchChangeSetPartBuilder method(String method)

      Parameters:
        `method` - MUST be the PUT, POST, MERGE, DELETE or PATCH method
      Returns:
        a new builder object

    - #### contentId

          public static BatchChangeSetPart.BatchChangeSetPartBuilder contentId(String contentId)

      Parameters:
        `contentId` - can be used to identify the different request within a the batch
      Returns:
        a new builder object

    - #### newBuilder

          public static BatchChangeSetPart.BatchChangeSetPartBuilder newBuilder()

      Returns:
        returns a new builder object

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.